# Create Settlement

## POST /settlements

> Create Settlement

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"CreateSettlement":{"properties":{"from_pledge_id":{"format":"uuid","type":"string"},"id":{"format":"uuid","type":"string"},"inbound_transaction_intent":{"allOf":[{"$ref":"#/components/schemas/InboundTransactionIntent"}],"default":null,"nullable":true},"meta":{"additionalProperties":{"nullable":true},"type":"object"},"outbound_transaction_intent":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/BitcoinSendTransactionCreationData"},{"$ref":"#/components/schemas/EthereumSendTransactionCreationData"},{"$ref":"#/components/schemas/EthereumExecuteContractTransactionCreationData"},{"$ref":"#/components/schemas/EthereumDeployContractTransactionCreationData"},{"$ref":"#/components/schemas/RippleSendTransactionCreationData"},{"$ref":"#/components/schemas/StellarSendTransactionCreationData"},{"$ref":"#/components/schemas/TezosSendTransactionCreationData"},{"$ref":"#/components/schemas/CardanoSendTransactionCreationData"},{"$ref":"#/components/schemas/SolanaCreateAssociatedTokenAccountCreationData"},{"$ref":"#/components/schemas/SolanaSendSplTokenTransactionCreationData"},{"$ref":"#/components/schemas/SolanaSendTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotSendTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotBondExtraTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotUnbondTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotRebondTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotSetPayeeTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotWithdrawTransactionCreationData"},{"$ref":"#/components/schemas/PolkadotChillTransactionCreationData"}]},"repledge_intent":{"allOf":[{"$ref":"#/components/schemas/RepledgeIntent"}],"default":null,"nullable":true}},"required":["from_pledge_id","id","meta"],"type":"object"},"InboundTransactionIntent":{"properties":{"amount":{"type":"integer"},"to_account_id":{"type":"integer"},"to_address":{"type":"string"}},"required":["amount","to_account_id","to_address"],"type":"object"},"BitcoinSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for a Bitcoin send transaction.","oneOf":[{"$ref":"#/components/schemas/BitcoinFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/BitcoinSendTransactionData"}],"description":"Data specific to a Bitcoin send transaction."},"transaction_type":{"description":"Type indicator for Bitcoin-like send transactions.","enum":["BITCOIN_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"BitcoinFeesStrategy":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/BitcoinFeesStrategyData"}],"description":"Data specific to the Bitcoin fee strategy."},"type":{"description":"Indicates a custom fee strategy for Bitcoin transactions.","enum":["CUSTOM"]}},"required":["data","type"],"type":"object"},"BitcoinFeesStrategyData":{"properties":{"fees_per_byte":{"description":"The fees per byte for the transaction, in the smallest currency unit..","type":"string"}},"required":["fees_per_byte"],"type":"object"},"GenericFeesStrategy":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategyData"}],"description":"Details of the transaction speed strategy."},"type":{"description":"The type of fee strategy based on transaction speed.","enum":["SPEED"]}},"required":["data","type"],"type":"object"},"GenericFeesStrategyData":{"properties":{"speed":{"description":"The desired speed of the transaction.","enum":["FAST","NORMAL","SLOW"],"type":"string"}},"required":["speed"],"type":"object"},"BitcoinSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Bitcoin transactions.","enum":["bitcoin","bitcoin_testnet"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"EthereumSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for an Ethereum send transaction.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/EthereumSendTransactionData"}],"description":"Data specific to an Ethereum send transaction."},"transaction_type":{"description":"Type indicator for Ethereum-like send transactions.","enum":["ETHEREUM_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"EthereumFeesStrategy":{"properties":{"data":{"description":"Data specific to the Ethereum fee strategy.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategyData"},{"$ref":"#/components/schemas/EthereumEIP1559FeesStrategyData"}]},"type":{"description":"Indicates a custom fee strategy for Ethereum transactions.","enum":["CUSTOM"]}},"required":["data","type"],"type":"object"},"EthereumFeesStrategyData":{"properties":{"gas_limit":{"description":"The gas limit for the Ethereum transaction, in the smallest currency unit.","type":"string"},"gas_price":{"description":"The gas price for the Ethereum transaction, in the smallest currency unit.","type":"string"}},"required":["gas_limit","gas_price"],"type":"object"},"EthereumEIP1559FeesStrategyData":{"properties":{"gas_limit":{"description":"The gas limit for the Ethereum transaction, in the smallest currency unit.","type":"string"},"priority_fees":{"description":"The maximum priority fee per gas for the Ethereum transaction, in the smallest currency unit.","type":"string"}},"required":["gas_limit","priority_fees"],"type":"object"},"EthereumSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"contract_address":{"default":null,"description":"The contract address of the ERC20 token, in case of a ERC20 send transaction.","nullable":true,"type":"string"},"currency":{"description":"Specific currency for Ethereum transactions.","enum":["arbitrum","arbitrum_goerli","avalanche_c_chain","avalanche_c_chain_fuji","base_goerli","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_goerli","ethereum_holesky","ethereum_pow","ethereum_ropsten","ethereum_sepolia","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","optimism","optimism_goerli","polygon","polygon_mumbai","tomo","tomo_testnet","tron"],"type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"EthereumExecuteContractTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for an Ethereum execute contract transaction.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/EthereumSCITransactionData"}],"description":"Data specific to an Ethereum execute contract transaction."},"transaction_type":{"description":"Type indicator for Ethereum-like execute contract transactions.","enum":["ETHEREUM_LIKE_EXECUTE_CONTRACT"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"EthereumSCITransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"contract_data":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/SCIData"},{"type":"string"}]},"currency":{"description":"Specific currency for Ethereum Smart Contract transactions.","enum":["arbitrum","arbitrum_goerli","avalanche_c_chain","avalanche_c_chain_fuji","base_goerli","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_goerli","ethereum_holesky","ethereum_pow","ethereum_ropsten","ethereum_sepolia","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","optimism","optimism_goerli","polygon","polygon_mumbai","tomo","tomo_testnet","tron"],"type":"string"},"encoded_contract_data":{"default":null,"description":"(DEPRECATED) Encoded data for the smart contract interaction. This field is deprecated and will be removed in the future. Use contract_data instead.","nullable":true,"type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"SCIData":{"properties":{"abi":{"default":null,"description":"The array of function, event, and error descriptions in JSON format, representing the contract’s interface according to the ABI Specification.","items":{"additionalProperties":{"nullable":true},"type":"object"},"nullable":true,"type":"array"},"function_arguments":{"additionalProperties":{"nullable":true},"default":null,"description":"The JSON object with the arguments for the smart contract function execution, according to the provided contract_abi.","nullable":true,"type":"object"},"function_name":{"default":null,"description":"Name of the contract method to call","nullable":true,"type":"string"}},"type":"object"},"EthereumDeployContractTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"description":"The fee strategy for an Ethereum deploy contract transaction.","oneOf":[{"$ref":"#/components/schemas/EthereumFeesStrategy"},{"$ref":"#/components/schemas/GenericFeesStrategy"}]},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/EthereumSCDTransactionData"}],"description":"Data specific to an Ethereum deploy smart contract."},"transaction_type":{"description":"Type indicator for Ethereum-like deploy contract transactions.","enum":["ETHEREUM_LIKE_DEPLOY_CONTRACT"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"EthereumSCDTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"default":null,"description":"The amount to be transferred, in the smallest currency unit.","nullable":true,"type":"string"},"currency":{"description":"Specific currency for Ethereum Smart Contract deployment.","enum":["arbitrum","arbitrum_goerli","avalanche_c_chain","avalanche_c_chain_fuji","base_goerli","bsc","celo","celo_alfajores","cronos","cronos_testnet","ethereum","ethereum_goerli","ethereum_holesky","ethereum_pow","ethereum_ropsten","ethereum_sepolia","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","optimism","optimism_goerli","polygon","polygon_mumbai","tomo","tomo_testnet","tron"],"type":"string"},"encoded_contract_bytecode":{"description":"Encoded bytecode for the smart contract deployment.","type":"string"},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"}},"required":["account_name","currency","encoded_contract_bytecode","max_fees"],"type":"object"},"RippleSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/RippleSendTransactionData"}],"description":"Data specific to a Ripple send transaction."},"transaction_type":{"description":"Type indicator for Ripple-like send transactions.","enum":["RIPPLE_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"RippleSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Ripple transactions.","enum":["ripple"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"},"tag":{"default":null,"description":"Destination tag for identifying Ripple transactions.","nullable":true,"type":"integer"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"StellarSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/StellarSendTransactionData"}],"description":"Data specific to a Stellar send transaction."},"transaction_type":{"description":"Type indicator for Stellar-like send transactions.","enum":["STELLAR_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"StellarSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Stellar transactions.","enum":["stellar"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"memo":{"default":null,"description":"A valid memo for the Stellar transaction. See https://developers.stellar.org/docs/glossary/transactions/#memo.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/StellarMemoHash1"},{"$ref":"#/components/schemas/StellarMemoId1"},{"$ref":"#/components/schemas/StellarMemoReturn1"},{"$ref":"#/components/schemas/StellarMemoText1"}]},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"StellarMemoHash1":{"properties":{"MEMO_HASH":{"description":"Transaction Hash Memo (64 bytes hexadecimal string)","maxLength":64,"minLength":64,"type":"string"}},"required":["MEMO_HASH"],"type":"object"},"StellarMemoId1":{"properties":{"MEMO_ID":{"description":"Id Memo (unsigned 64 bits integer)","maximum":18446744073709552000,"minimum":0,"type":"integer"}},"required":["MEMO_ID"],"type":"object"},"StellarMemoReturn1":{"properties":{"MEMO_RETURN":{"description":"A 64 bytes hexadecimal string intended to be interpreted as the hash of the transaction the sender is refunding.","maxLength":64,"minLength":64,"type":"string"}},"required":["MEMO_RETURN"],"type":"object"},"StellarMemoText1":{"properties":{"MEMO_TEXT":{"description":"Text Memo (at most a 28 bytes string)","maxLength":28,"minLength":0,"type":"string"}},"required":["MEMO_TEXT"],"type":"object"},"TezosSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/TezosSendTransactionData"}],"description":"Data specific to a Tezos send transaction."},"transaction_type":{"description":"Type indicator for Tezos-like send transactions.","enum":["TEZOS_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"TezosSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Tezos transactions.","enum":["tezos"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"CardanoSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"fees_strategy":{"allOf":[{"$ref":"#/components/schemas/GenericFeesStrategy"}],"description":"Strategy for calculating transaction fees."},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/CardanoSendTransactionData"}],"description":"Data specific to a Cardano send transaction."},"transaction_type":{"description":"Type indicator for Cardano-like send transactions.","enum":["CARDANO_LIKE_SEND"]}},"required":["account_id","fees_strategy","transaction_data","transaction_type"],"type":"object"},"CardanoSendTransactionData":{"properties":{"account_name":{"description":"The name of the account initiating the transaction.","type":"string"},"amount":{"description":"The amount to be transferred, in the smallest currency unit.","type":"string"},"currency":{"description":"Specific currency for Cardano transactions.","enum":["cardano"]},"max_fees":{"description":"The maximum fees the user is willing to pay for the transaction, in the smallest currency unit. Set to '0' when estimating transaction fees.","type":"string"},"recipient":{"description":"The recipient's address for the transaction.","type":"string"}},"required":["account_name","amount","currency","max_fees","recipient"],"type":"object"},"SolanaCreateAssociatedTokenAccountCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/SolanaCreateAssociatedTokenAccountTransactionData"}],"description":"Data create SPL token account."},"transaction_type":{"description":"Type indicator for Solana-like token account creation transactions.","enum":["SOLANA_LIKE_CREATE_SPL_TOKEN_ACCOUNT"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"SolanaCreateAssociatedTokenAccountTransactionData":{"properties":{"account_name":{"description":"Sender account name for Solana transaction.","type":"string"},"currency":{"description":"Account currency for Solana transactions.","enum":["solana","solana_devnet","solana_testnet"]},"max_priority_fee":{"default":null,"description":"Max priority fee to use for the transaction. Please refer to the `recommended_max_priority_fees` field from fee estimation or choose your own value. Once the feature is enabled, this field will become mandatory.","nullable":true,"type":"string"},"token_mint":{"description":"The token mint address of the token to create an account for","type":"string"}},"required":["account_name","currency","token_mint"],"type":"object"},"SolanaSendSplTokenTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/SolanaSendSplTokenTransactionData"}],"description":"Data to send SPL tokens."},"transaction_type":{"description":"Type indicator for Solana-like light token send transactions.","enum":["SOLANA_LIKE_SEND_SPL_TOKEN_CHECKED"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"SolanaSendSplTokenTransactionData":{"properties":{"account_name":{"description":"Sender account name for Solana transaction.","type":"string"},"amount":{"description":"Transaction amount for Solana, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Solana transactions.","enum":["solana","solana_devnet","solana_testnet"]},"max_priority_fee":{"default":null,"description":"Max priority fee to use for the transaction. Please refer to the `recommended_max_priority_fees` field from fee estimation or choose your own value. Once the feature is enabled, this field will become mandatory.","nullable":true,"type":"string"},"recipient":{"description":"Transaction recipient address for Solana.","type":"string"},"token_mint":{"description":"The token mint address of the token to interact with","type":"string"}},"required":["account_name","amount","currency","recipient","token_mint"],"type":"object"},"SolanaSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/SolanaSendTransactionData"}],"description":"Data specific to a Solana send transaction."},"transaction_type":{"description":"Type indicator for Solana-like send transactions.","enum":["SOLANA_LIKE_SEND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"SolanaSendTransactionData":{"properties":{"account_name":{"description":"Sender account name for Solana transaction.","type":"string"},"amount":{"description":"Transaction amount for Solana, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Solana transactions.","enum":["solana","solana_devnet","solana_testnet"]},"max_priority_fee":{"default":null,"description":"Max priority fee to use for the transaction. Please refer to the `recommended_max_priority_fees` field from fee estimation or choose your own value. Once the feature is enabled, this field will become mandatory.","nullable":true,"type":"string"},"recipient":{"description":"Transaction recipient address for Solana.","type":"string"}},"required":["account_name","amount","currency","recipient"],"type":"object"},"PolkadotSendTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotSendTransactionData"}],"description":"Data specific to a Polkadot send transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like send transactions.","enum":["POLKADOT_LIKE_SEND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotSendTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Transaction amount for Polkadot, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]},"recipient":{"description":"Transaction recipient address for Polkadot.","type":"string"}},"required":["account_name","amount","currency","recipient"],"type":"object"},"PolkadotBondExtraTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotBondExtraStakingTransactionData"}],"description":"Data specific to a Polkadot bond extra transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like bond extra staking transactions.","enum":["POLKADOT_LIKE_BONDEXTRA"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotBondExtraStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Amount for Polkadot bond extra transaction, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","amount","currency"],"type":"object"},"PolkadotUnbondTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotUnbondStakingTransactionData"}],"description":"Data specific to a Polkadot unbond transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like unbond staking transactions.","enum":["POLKADOT_LIKE_UNBOND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotUnbondStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Amount for Polkadot unbond transaction, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","amount","currency"],"type":"object"},"PolkadotRebondTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotRebondStakingTransactionData"}],"description":"Data specific to a Polkadot rebond transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like rebond staking transactions.","enum":["POLKADOT_LIKE_REBOND"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotRebondStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"amount":{"description":"Amount for Polkadot rebond transaction, in the smallest currency unit.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","amount","currency"],"type":"object"},"PolkadotSetPayeeTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotSetPayeeStakingTransactionData"}],"description":"Data specific to a Polkadot set payee transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like set payee staking transactions.","enum":["POLKADOT_LIKE_SETPAYEE"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotSetPayeeStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]},"payee":{"description":"The new payee for the staking rewards.","enum":["Staked","Stash"],"type":"string"}},"required":["account_name","currency","payee"],"type":"object"},"PolkadotWithdrawTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotWithdrawStakingTransactionData"}],"description":"Data specific to a Polkadot withdraw transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like withdraw staking transactions.","enum":["POLKADOT_LIKE_WITHDRAWUNBONDED"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotWithdrawStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","currency"],"type":"object"},"PolkadotChillTransactionCreationData":{"properties":{"account_id":{"description":"Unique identifier of the sender's account.","type":"integer"},"transaction_data":{"allOf":[{"$ref":"#/components/schemas/PolkadotChillStakingTransactionData"}],"description":"Data specific to a Polkadot chill transaction."},"transaction_type":{"description":"Type indicator for Polkadot-like chill staking transactions.","enum":["POLKADOT_LIKE_CHILL"]}},"required":["account_id","transaction_data","transaction_type"],"type":"object"},"PolkadotChillStakingTransactionData":{"properties":{"account_name":{"description":"Account name to execute transaction.","type":"string"},"currency":{"description":"Account currency for Polkadot transactions.","enum":["polkadot","westend"]}},"required":["account_name","currency"],"type":"object"},"RepledgeIntent":{"properties":{"account_name":{"type":"string"},"amount":{"type":"string"},"contract_address":{"default":null,"nullable":true,"type":"string"},"currency":{"type":"string"},"exchange_name":{"type":"string"},"pledge_subaccount_id":{"type":"integer"},"to_address":{"default":null,"nullable":true,"type":"string"},"transaction_hash":{"default":null,"nullable":true,"type":"string"}},"required":["account_name","amount","currency","exchange_name","pledge_subaccount_id"],"type":"object"},"Settlement":{"additionalProperties":false,"properties":{"from_pledge_id":{"format":"uuid","type":"string"},"id":{"format":"uuid","type":"string"},"inbound_transaction_intent":{"allOf":[{"$ref":"#/components/schemas/InboundTransactionIntent"}],"default":null,"nullable":true},"meta":{"additionalProperties":{"nullable":true},"type":"object"},"outbound_transaction":{"allOf":[{"$ref":"#/components/schemas/OutboundTransaction"}],"default":null,"nullable":true},"repledge":{"allOf":[{"$ref":"#/components/schemas/RepledgeRequest"}],"default":null,"nullable":true},"repledge_intent":{"allOf":[{"$ref":"#/components/schemas/RepledgeIntent"}],"default":null,"nullable":true},"state":{"type":"string"}},"required":["from_pledge_id","id","meta","state"],"type":"object"},"OutboundTransaction":{"properties":{"request_id":{"type":"integer"},"transaction_hash":{"default":null,"nullable":true,"type":"string"},"transaction_id":{"type":"integer"}},"required":["request_id","transaction_id"],"type":"object"},"RepledgeRequest":{"properties":{"repledge_id":{"type":"integer"},"request_id":{"type":"integer"}},"required":["repledge_id","request_id"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/settlements":{"post":{"summary":"Create Settlement","tags":["Settlements"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSettlement"}}},"description":"Settlement creation payload","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Settlement"}}},"description":"Settlement result"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request data"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/settlements/create-settlement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
